Name: transcode
Version: 0.6.2
Release: alt1

Summary: a linux video stream processing utility
License: GPL
Group: Video
Url: http://www.theorie.physik.uni-goettingen.de/~ostreich/transcode
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %url/pre/%name-%version.tar.bz2

%define ffmpeg_ver 0.4.6-alt0.2cvs20020721
%define avifile_ver 0.715

Requires: libffmpeg >= %ffmpeg_ver
Requires: libavifile >= %avifile_ver

BuildPreReq: ffmpeg-devel >= %ffmpeg_ver
BuildPreReq: libavifile-devel >= %avifile_ver

# Automatically added by buildreq on Mon Nov 25 2002
BuildRequires: XFree86-devel XFree86-libs aalib-devel esound-devel freetype2-devel gcc-c++ glib-devel glibc-devel-static gtk+-devel libImageMagick-devel libSDL-devel liba52-devel libalsa2-devel libarts libaudiofile-devel libavifile-devel libdv-devel libdvdread-devel libexpat libfame-devel libffmpeg libfontconfig libjpeg-devel liblame-devel liblcms-devel liblzo-devel libogg-devel libpng-devel libpopt-devel libquicktime-devel libslang libstdc++-devel libvorbis-devel libxml2-devel mjpegtools-devel mjpegtools-static-libs nasm xpm-devel zlib-devel

%description 
transcode  is a linux text-console utility for video stream
processing.

Decoding and encoding is done by loading modules that are
responsible for feeding transcode with raw video/audio streams (import
modules) and encoding the frames (export modules). 

It supports elementary video and audio frame transformations, including
de-interlacing or fast resizing of video frames and loading of external
filters. 

A number of modules are included to enable import of DVDs
on-the-fly, MPEG elementary (ES) or program streams (VOB), MPEG video,
Digital Video (DV), YUV4MPEG streams, NuppelVideo file format and raw or
compressed (pass-through) video frames and export modules for writing
DivX;-), OpenDivX, DivX 4.xx or uncompressed AVI files with MPEG, AC3
(pass-through) or PCM audio. Additional export modules to write single
frames (PPM) or YUV4MPEG streams are available, as well as an interface
import module to the avifile library. It's modular concept is intended
to provide flexibility and easy user extensibility to include other
video/audio codecs or filetypes. 

A set of tools is included to demux (tcdemux), extract (tcextract) and
decode (tcdecode) the sources into raw video/audio streams for import,
probing (tcprobe) and scanning (tcscan) your sources and to enable
post-processing of AVI files, fixing AVI file header information
(avifix), merging multiple files (avimerge) or splitting large AVI files
(avisplit) to fit on a CD.

%prep
%setup -q -n %name-%version

%build
%configure --with-qt \
    --without-libmpeg3 \
%ifnarch i586 i686 athlon
    --disable-mmx \
%endif

# SMP-incompatible build
%make

%install
%makeinstall

%files
%_bindir/*
%dir %_libdir/%name
%_libdir/%name/*.so
%_libdir/%name/*.so.*
%_libdir/%name/*.conf
%_libdir/%name/*.cfg
%_man1dir/*
%doc AUTHORS ChangeLog README TODO
%doc docs/README* docs/*.txt docs/html 

%changelog
* Sun Nov 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.2-alt1
- 0.6.2

* Wed Nov 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt0.7
- Updated from weekly snapshot.
- Removed dependence on libmpeg3 which is replaced by the libmpeg2
  dependent modules that are included in transcode's sources.
- Compression support based on liblzo enabled.
- Quicktime support via libquicktime enabled.

* Wed Sep 25 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt0.6
- 0.6.1

* Mon Sep 23 2002 Stanislav Ievlev <inger@altlinux.ru> 0.6.0-alt0.5.1
- fix build (no SMP compatible)

* Sun Sep 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt0.5
- 0.6.0 release 

* Sun Jul 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt0.1rc3
- First build for Sisyphus.
- quicktime support disabled - libquicktime required.
